## freedict 2014.02.17

=== afr-eng/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING afr-eng.tei INSTALL Makefile NEWS README \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

#$(dictname).tei: $(dictname).tei.header

=== dan-eng/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = Makefile AUTHORS COPYING INSTALL NEWS README ChangeLog dan-eng.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname).tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== deu-fra/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README deu-fra.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-afr/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README eng-afr.tei \
   freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-ara/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = COPYING eng-ara.tei Makefile README ChangeLog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
UNSUPPORTED_PLATFORMS = evolutionary

#clean::
#	rm -f ara-eng.c5 ara-eng.c5.index ara-eng.c5.dict
#	rm -f eng-ara.c5 eng-ara.c5.index eng-ara.c5.dict
#	rm -f *.dz *.bz2 eng-ara.tei

=== eng-ell/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS COPYING eng-ell.tei freedict-dictionary.css freedict-P5.dtd freedict-P5.rng freedict-P5.xml Makefile README ChangeLog
include $(FREEDICTDIR)/tools/Makefile.common

=== eng-gle/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING eng-gle.tei INSTALL Makefile NEWS README \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
# Clear this variable, because currently the .tei file already contains
# phonetics information.
supported_phonetics =
include $(FREEDICTDIR)/tools/Makefile.common

=== eng-hin/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = COPYING Makefile README ChangeLog AUTHORS \
	 English-Hindi-Dictionary_2.isc INSTALL NEWS \
	 ehconv.yy eng-hin.tei eng-hin.tei.header  \
   freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
TEI2DICTFLAGS = -a
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
UNSUPPORTED_PLATFORMS = evolutionary bedic

# these are eng-hin specific targets
#ehconv.c: ehconv.yy
#	flex -oehconv.c ehconv.yy

#ehconv: ehconv.c
#	gcc ehconv.c -lfl -oehconv

#eng-hin-nophon.tei: eng-hin.tei.header ehconv English-Hindi-Dictionary_2.isc
#	cp eng-hin.tei.header $@
#	./ehconv <English-Hindi-Dictionary_2.isc >>$@

#clean::
#	rm -f ehconv.c eng-hin.tei eng-hin-nophon.tei ehconv

=== eng-hun/Makefile ===
FREEDICTDIR ?= ..
hedir ?= $(FREEDICTDIR)/hun-eng
VPATH += $(hedir)
DISTFILES = eng-hun.tei.header Makefile ChangeLog
supported_phonetics =
include $(FREEDICTDIR)/tools/Makefile.common

dbview_in_path := $(shell which dbview 2>/dev/null)

$(hedir)/SZOTAR.DBF:
	$(MAKE) -C "$(hedir)" SZOTAR.DBF

eng-hun.tei: eng-hun.tei.header $(hedir)/SZOTAR.DBF szotar-dbf2tei.pl
ifeq ($(dbview_in_path),)
	@echo "To get the data out of the dBase database, we require the tool"
	@echo "\`dbview' from Martin Schulze aka Joey."
	@echo "Try to get it from http://packages.debian.org/stable/misc/dbview"
	@false
else
	cp $(hedir)/SZOTAR.DBF .
	cp $< $@
	$(hedir)/szotar-dbf2tei.pl -v --reverse >> $@
endif

=== eng-ita/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README eng-ita.tei \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-pol/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING eng-pol.tei INSTALL README Makefile freedict-P5.dtd eng-pol.css freedict-P5.rng freedict-P5.xml letters etc
supported_phonetics=

include $(FREEDICTDIR)/tools/Makefile.common

=== eng-por/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = eng-por.tei Makefile COPYING INSTALL NEWS README ChangeLog \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
# Clear this variable, because currently the .tei file already contains
# phonetics information.
supported_phonetics =
include $(FREEDICTDIR)/tools/Makefile.common

=== debian/changelog ===
freedict (2014.02.17-1) unstable; urgency=low

  * check whether a dict server is installed in the maintainer scripts, before
    restarting the dictd server (Closes: #738881)
  * import new source, where a fixed build system comes along. There are no
    databases anymore with 00-database-short being wrongly indexed.
    (Closes: 738968)
      + this also re-imports hun-eng and eng-hun with an updated source. the
        old one produced empty dictionaries
      + afr-deu is also re-imported which had a lot of doubled definitions
      + eng-rus is re-imported which had a lot of invalid unicode signs
      + some dictionaries were not build due to a missing phoneme generator;
      phoneme generation has been disabled for Debian (see README.Debian)
  
 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 18 Feb 2014 11:37:34 +0200

freedict (2014.02.02-1) unstable; urgency=low

  * mention license of freedict.css of each subdirectory in copyright
    (Closes: #737100)
  * re-work the whole debian/copyright management, much more detailed now and
    machine-readable
  * import new upstream version where bugs where fixed and dictionaries eng-swh
    and swh-eng were added

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 09 Feb 2014 13:47:33 +0200

freedict (2013.11.30-1) unstable; urgency=low

  * new maintainer (Closes: 704967)
  * upstream fixed wrong translation in eng-deu (Closes: #652124)
  * fix [upstream] incorrect words in deu-eng and reimport it from upstream
    (Closes: #630374)
  * import of new upstream version
  * reworked [completely] debian build infrastructure
       * debian/control is now autogenerated
  * bump standards-version

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 15 Dec 2013 10:52:35 +0200

freedict (1.3-4) unstable; urgency=low

  * Removed file debian/header_utf8.txt, because since dict (>> 1.10.0) this
    header no longer needed. 
  * Changed word "Africaans" to "Afrikaans" in the package description
    and in the files debian/languagelist and debian/patches/afr-deu.diff
    (Closes: #455267).
  * Changed "to deserves" to "to deserve" in the translation of the deu-eng
    dictionary (Closes: #448030).
  * Substituted all occurrences of the letters 'ô' to 'ő' and 'û' to 'ű' in
    the eng-hun and hun-eng dictionaries (Closes: #411994). Also added some
    missing spaces between words in the definitions of the eng-hun dictionary. 
  * Removed the Esperanto translations parts from the spa-eng dictionary
    (Closes: #254697). Also added many missing spaces between words and
    removed the many duplicated translation entries for the many words in this
    dictionary.
  * debian/control:
    - added Homepage field in the source package.
    - changed "dict-freedict" to "dictd-dictionary" in the Provides field
      of the binary packages in accordance with debian-policy 3.7.3
      (Closes: #466210).
    - bumped Standards-Version to 3.7.3.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 17 Feb 2008 12:24:04 +0200

freedict (1.3-3) unstable; urgency=low

  * debian/patches:
    - substituted all occurrences of 'ĳ' to 'ij' in deu-nld, eng-nld, fra-nld,
      nld-deu, nld-eng and nld-fra dictionaries (Closes: #381054).
    - removed some duplicated entries in the eng-iri and iri-eng dictionaries.
  * Added the plugin files for the OpenDict dictionary. For that added files
    debian/{languagelist, opendict-plugin.xml, dict-freedict-lang-dirs.tmpl,
    dict-freedict-lang-links.tmpl} and removed file debian/dirs.
  * debian/control:
    - added the packages opendict, serpento and kdict to Suggests.
    - improved long description.
  * Improved the debian/README.Debian file.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed,  9 Aug 2006 13:23:30 +0300

freedict (1.3-2) unstable; urgency=low

  * Use 'invoke-rc.d dictd' instead of '/etc/init.d/dictd' (Closes: #367738).
    Thanks to Lars Wirzenius.
  * debian/compat: use DH_COMPAT 5
  * debian/control:
    - changed Build-Depends on debhelper (>= 5.0.0).
    - bumped Standards-Version to 3.7.2. No changes required.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 22 May 2006 09:39:04 +0300

freedict (1.3-1) unstable; urgency=low 

  * Updated with new upstream versions of eng-ara, hun-eng (Closes: #337130),
    swa-eng and tur-eng dictionaries, added new dictionaries: cro-eng, eng-cro,
    eng-cze, eng-hin, eng-swa, eng-tur and hin-eng. So, the source tarball
    version bumped to 1.3.
  * debian/control:
    - changed Build-Depends on dictfmt package to dictfmt (>> 1.10.0);
    - removed Build-Depends on locales package, because option
      '--locale xx_YY.UTF-8' is no more required for dictfmt.
  * Changed the word 'Nederland' to 'Dutch' in the package descriptions
    (debian/control) and in the dictionary headers for dictionaries: deu-nld,
    eng-nld, fra-nld, nld-deu, nld-eng and nld-fra (Closes: #330802).
  * The dictionary sco-deu renamed to gla-deu, and in the package descriptions
    and in the dictionary header reference 'Scottish' changed to
    'Scottish Gaelic'. Added 'Conflicts: dict-freedict-sco-deu' and
    'Replaces: dict-freedict-sco-deu' to dict-freedict-gla-deu package.
    Thanks to Justin B Rye <jbr@edlug.org.uk> (Closes: #318025).
  * Fixed typo in debian/postinst. Thanks to Jens Seidel
    <jensseidel@users.sf.net> (Closes: #335378).
  * debian/copyright: changed 'Authors:' and 'Copyright:' parts of this file,
    by naming all authors of each dictionary. Thanks to Joost van Baal
    <joostvb@mdcc.cx> for suggestion.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 12 Dec 2005 08:54:25 +0200 

freedict (1.2-1) unstable; urgency=low

  * New maintainer (Closes: #206113).
  * Updated with the new upstream versions (all, except eng-hun, hun-eng


=== debian/control ===
Source: freedict
Section: text
Priority: optional
Maintainer: Debian FreeDict team  <pkg-freedict-discuss@lists.alioth.debian.org>
Uploaders: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper (>= 7.0.50~), dbview, unzip, xsltproc,
    libxml-libxml-perl, python3
Build-Depends-Indep: dictzip, dictfmt (>= 1.10.0)
Standards-Version: 3.9.5
Homepage: http://freedict.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freedict/freedict.git
Vcs-Git: git://anonscm.debian.org/pkg-freedict/freedict.git


Package: dict-freedict-all
Architecture: all
Depends: ${misc:Depends}, dict-freedict-afr-deu, dict-freedict-afr-eng, dict-freedict-ara-eng, dict-freedict-bre-fra, dict-freedict-ces-eng, dict-freedict-ckb-kmr, dict-freedict-cym-eng, dict-freedict-dan-eng, dict-freedict-deu-eng, dict-freedict-deu-fra, dict-freedict-deu-ita, dict-freedict-deu-kur, dict-freedict-deu-nld, dict-freedict-deu-por, dict-freedict-deu-tur, dict-freedict-eng-afr, dict-freedict-eng-ara, dict-freedict-eng-ces, dict-freedict-eng-cym, dict-freedict-eng-deu, dict-freedict-eng-ell, dict-freedict-eng-fra, dict-freedict-eng-gle, dict-freedict-eng-hin, dict-freedict-eng-hrv, dict-freedict-eng-hun, dict-freedict-eng-ita, dict-freedict-eng-lat, dict-freedict-eng-lit, dict-freedict-eng-nld, dict-freedict-eng-pol, dict-freedict-eng-por, dict-freedict-eng-rom, dict-freedict-eng-rus, dict-freedict-eng-spa, dict-freedict-eng-srp, dict-freedict-eng-swe, dict-freedict-eng-swh, dict-freedict-eng-tur, dict-freedict-fra-bre, dict-freedict-fra-deu, dict-freedict-fra-eng, dict-freedict-fra-nld, dict-freedict-gla-deu, dict-freedict-gle-eng, dict-freedict-gle-pol, dict-freedict-hrv-eng, dict-freedict-hun-eng, dict-freedict-isl-eng, dict-freedict-ita-deu, dict-freedict-ita-eng, dict-freedict-jpn-deu, dict-freedict-kha-deu, dict-freedict-kha-eng, dict-freedict-kur-deu, dict-freedict-kur-eng, dict-freedict-kur-tur, dict-freedict-lat-deu, dict-freedict-lat-eng, dict-freedict-lit-eng, dict-freedict-mkd-bul, dict-freedict-nld-deu, dict-freedict-nld-eng, dict-freedict-nld-fra, dict-freedict-nno-nob, dict-freedict-oci-cat, dict-freedict-pol-gle, dict-freedict-por-deu, dict-freedict-por-eng, dict-freedict-san-deu, dict-freedict-slk-eng, dict-freedict-spa-ast, dict-freedict-spa-eng, dict-freedict-srp-eng, dict-freedict-swe-eng, dict-freedict-swh-eng, dict-freedict-swh-pol, dict-freedict-tur-deu, dict-freedict-tur-eng
Description: meta-package to install or dictionary databases from the FreeDict project
 This package can be used to install all available bilingual dictionaries from
 the FreeDict project at once.

Package: dict-freedict-afr-deu
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: Afrikaans-German dictionary for the dict server/client 
 This is the Afrikaans-German dictionary from the FreeDict project in version
 0.3 (FreeDict status: too small). It contains 3798 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-afr-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: Afrikaans-English dictionary for the dict server/client 
 This is the Afrikaans-English dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: small). It contains 5127 headwords. It can be used for
 the dict server in conjunction with a dict client. 

Package: dict-freedict-ara-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: Arabic-English dictionary for the dict server/client 
 This is the Arabic-English dictionary from the FreeDict project in version
 0.6.2 (FreeDict status: old upstream version). It contains 52994 headwords. It
 can be used for the dict server in conjunction with a dict client. 

Package: dict-freedict-bre-fra
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: Breton-French dictionary for the dict server/client 
 This is the Breton-French dictionary from the FreeDict project in version
 0.2.10 (FreeDict status: Big enough to be useful). It contains 30162 headwords.
 It can be used for the dict server in conjunction with a dict client. 

Package: dict-freedict-ces-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: Czech-English dictionary for the dict server/client 
 This is the Czech-English dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: too small). It contains 486 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-ckb-kmr
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: Central Kurdish-Northern Kurdish dictionary for the dict server/client 
 This is the Central Kurdish-Northern Kurdish dictionary from the FreeDict
 project in version 0.1.1 (FreeDict status: stable). It contains 7851 headwords.
 It can be used for the dict server in conjunction with a dict client. 

Package: dict-freedict-cym-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: Welsh-English dictionary for the dict server/client 
 This is the Welsh-English dictionary from the FreeDict project in version
 0.2.2 (FreeDict status: big enough). It contains 12628 headwords. It can be
 used for the dict server in conjunction with a dict client. 

Package: dict-freedict-dan-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: Danish-English dictionary for the dict server/client 
 This is the Danish-English dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: too small). It contains 3995 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: German-English dictionary for the dict server/client 
 This is the German-English dictionary from the FreeDict project in version
 0.3.3 (FreeDict status: old upstream version). It contains 81614 headwords. It
 can be used for the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-fra
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: German-French dictionary for the dict server/client 
 This is the German-French dictionary from the FreeDict project in version
 0.3.1 (FreeDict status: small). It contains 8166 headwords. It can be used for
 the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-ita
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: German-Italian dictionary for the dict server/client 
 This is the German-Italian dictionary from the FreeDict project in version
 0.1.1 (FreeDict status: small). It contains 4452 headwords. It can be used for
 the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-kur
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: German-Kurdish dictionary for the dict server/client 
 This is the German-Kurdish dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: stable). It contains 22565 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-nld
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: German-Dutch dictionary for the dict server/client 
 This is the German-Dutch dictionary from the FreeDict project in version
 0.1.1 (FreeDict status: small). It contains 12810 headwords. It can be used for
 the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-por
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: German-Portuguese dictionary for the dict server/client 
 This is the German-Portuguese dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: too small). It contains 8740 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-tur
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: German-Turkish dictionary for the dict server/client 
 This is the German-Turkish dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: stable). It contains 36217 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-afr
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: English-Afrikaans dictionary for the dict server/client 
 This is the English-Afrikaans dictionary from the FreeDict project in version
 0.1.1. It contains 6395 headwords. It can be used for the dict server in
 conjunction with a dict client. 

Package: dict-freedict-eng-ara
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: English-Arabic dictionary for the dict server/client 
 This is the English-Arabic dictionary from the FreeDict project in version
 0.6.2 (FreeDict status: old upstream version). It contains 87422 headwords. It
 can be used for the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-ces
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: English-Czech dictionary for the dict server/client 
 This is the English-Czech dictionary from the FreeDict project in version
 0.1.1 (FreeDict status: stable). It contains 150002 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-cym
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: English-Welsh dictionary for the dict server/client 
 This is the English-Welsh dictionary from the FreeDict project in version
 0.2.2 (FreeDict status: big enough). It contains 12628 headwords. It can be
 used for the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-deu
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | opendict | kdict | gnome-dictionary
        | goldendict
Provides: dictd-dictionary
Description: English-German dictionary for the dict server/client 
 This is the English-German dictionary from the FreeDict project in version

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DICTS=$(shell find . -maxdepth 1 -name '???-???' -printf "%f ")

# # Support parallel build
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

build: build-prep all-dz

build-prep:
	dh_testdir
	# generate TEI file for hun-eng:
	cd hun-eng; make hun-eng.tei

$(DICTS): timestamp
	$(MAKE) -C $@ $@.dict.dz

timestamp:
	touch $@

all-dz: timestamp $(DICTS)

build-stamp:
	touch build-stamp

# for lintian
build-indep: build
build-arch: build

clean:
	dh_testdir
	rm -f build-stamp timestamp configure-stamp
	rm -rf config.txt
	for DICT in $(DICTS); do \
		rm -f $$DICT/$$DICT.index $$DICT/$$DICT.dict.dz $$DICT/$$DICT.dict $$DICT/$$DICT.c5; \
		rm -rf debian/dict-freedict-$$DICT.docs; \
	done
	dh_clean
	-rm debian/*.dirs debian/*.links debian/*.postinst debian/*.postrm
	# special exception:
	-rm -rf hun-eng/SZOTAR.DBF hun-eng/hun-eng.tei eng-hun/SZOTAR.DBF eng-hun/eng-hun.tei


install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	# create debian/dict-freedict-$LANG.{links|dirs} file and maint scripts
	for DICT in $(DICTS); do \
		sed "s/LANG/$$DICT/g" debian/dict-freedict-lang-dirs.tmpl > \
			debian/dict-freedict-$$DICT.dirs; \
		sed "s/LANG/$$DICT/g" debian/dict-freedict-lang-links.tmpl > \
			debian/dict-freedict-$$DICT.links; \
		cp debian/postinst debian/dict-freedict-$$DICT.postinst; \
		cp debian/postrm debian/dict-freedict-$$DICT.postrm; \
	done

	dh_installdirs

	# copy files to final destination
	for FILE in $(DICTS); do \
		cp $$FILE/$$FILE.dict.dz debian/dict-freedict-$$FILE/usr/share/dictd/freedict-$$FILE.dict.dz; \
		cp $$FILE/$$FILE.index debian/dict-freedict-$$FILE/usr/share/dictd/freedict-$$FILE.index; \
	done

	# add dictionaries to opendict-xml-file
	for FILE in $(DICTS); do \
		DATA=`python3 debian/fetchdictdata.py -na`; \
		name=$$(echo $$DATA | cut -f1 -d\;); \
		author=$$(echo $$DATA | cut -f2 -d\;); \
		sed "s/LANG/$$FILE/g" debian/opendict-plugin.xml | sed "s/NAME/$$name/g" | \
			sed "s/AUTHORN/$$author/g" | sed "s/VERSN/$(VRESION)/g" > config.txt; \
		install -m 644 config.txt \
			$(CURDIR)/debian/dict-freedict-$$FILE/usr/share/opendict/dictionaries/plain/freedict-$$FILE.dict.dz/conf/config.xml; \
	done

	# generate *.docs-files:
	sh debian/gendocs.sh


binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -A debian/README.Debian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	# requires python3
	debian/fetchdictdata.py -f

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# The project releases single dictionaries  via sourceforge, but makes automatic
# iport possible through a freedict.xml-databse. So one should execute
# debian/fetchdictdata.py -x and watch differences, if any.

## freedict 2014.10.22

=== ara-eng/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = COPYING AUTHORS Makefile ara-eng.tei README ChangeLog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
UNSUPPORTED_PLATFORMS = evolutionary

=== cym-eng/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING cym-eng.tei INSTALL Makefile freedict-P5.dtd \
            freedict-dictionary.css freedict-P5.rng freedict-P5.xml
supported_phonetics=

include $(FREEDICTDIR)/tools/Makefile.common

=== deu-kur/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = Deutsch-Kurdi.txt Makefile deu-kur.tei deu-kur.tei.header README ChangeLog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

#$(dictname)-nophon.tei: Deutsch-Kurd�.txt $(dictname).tei.header \
#	$(FREEDICTDIR)/tools/xdf2tei.pl
#	cat $(dictname).tei.header >$@
#	$(FREEDICTDIR)/tools/xdf2tei.pl <$< >>$@
#	echo "</body></text></TEI.2>" >>$@

#clean::
#	rm -f $(dictname).tei

=== deu-por/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING deu-por.tei INSTALL Makefile NEWS README \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

clean::
	rm -f deu-por.tei

=== deu-tur/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = german-turkish.txt Makefile deu-tur.tei deu-tur.tei.header README ChangeLog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

#$(dictname)-nophon.tei: german-turkish.txt $(dictname).tei.header \
#	$(FREEDICTDIR)/tools/xdf2tei.pl
#	cat deu-tur.tei.header >$@
#	$(FREEDICTDIR)/tools/xdf2tei.pl <$< >>$@
#	echo "</body></text></TEI.2>" >>$@

#clean::
#	rm -f $(dictname)-nophon.tei $(dictname).tei

=== eng-ces/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = ChangeLog English-Czech.xdf Makefile \
	eng-ces.tei eng-ces.tei.header README ChangeLog general.footer \
  INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

#eng-ces-nophon.tei: $(toolsdir)/xdf2tei.pl eng-ces.tei.header general.footer
#	cat eng-ces.tei.header >$@
#	$(toolsdir)/xdf2tei.pl <English-Czech.xdf >>$@
#	cat general.footer >>$@

#clean::
#	rm -f eng-ces.tei eng-ces-nophon.tei

=== eng-hrv/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = eng-hrv.tei Makefile README INSTALL freedict-P5.dtd \
freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

#clean::
#	-rm $(dictname).tei

=== eng-lat/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README eng-lat.tei \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-lit/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = eng-lit.tei Makefile COPYING AUTHORS Changelog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css

supported_phonetics =

include $(FREEDICTDIR)/tools/Makefile.common

=== eng-nld/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = Makefile COPYING INSTALL NEWS README ChangeLog eng-nld.tei \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-rom/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README \
eng-rom.tei eng-rom.tei.header README ChangeLog eng-rom.text romtext2tei.pl \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

#clean::
#	rm -f eng-rom-nophon.tei eng-rom.tei

#eng-rom-nophon.tei: eng-rom.text eng-rom.tei.header
#	./romtext2tei.pl < $< > $@

=== eng-spa/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING eng-spa.tei INSTALL Makefile NEWS README \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== debian/changelog ===
freedict (2014.10.22-2) unstable; urgency=medium

  * disable concurrent builds (Closes: #768720)

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 12 Nov 2014 20:45:57 +0000

freedict (2014.10.22-1) unstable; urgency=medium

  * new upstream version (eng-deu / deu-eng)

 -- Sebastian Humenda <shumenda@gmx.de>  Fri, 24 Oct 2014 18:50:22 +0100

freedict (2014.09.20-2) unstable; urgency=medium

  * new upstream release of hun-eng (Closes: #759952)

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 21 Sep 2014 14:54:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~), dbview, unzip, xsltproc,
     libxml-libxml-perl, python3
 Build-Depends-Indep: dictzip, dictfmt (>= 1.10.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://freedict.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freedict/freedict.git
 Vcs-Git: git://anonscm.debian.org/pkg-freedict/freedict.git
@@ -49,8 +49,8 @@
 Provides: dictd-dictionary
 Description: Arabic-English dictionary for the dict server/client 
  This is the Arabic-English dictionary from the FreeDict project in version
- 0.6.2 (FreeDict status: old upstream version). It contains 52994 headwords. It
- can be used for the dict server in conjunction with a dict client. 
+ 0.6.2 (FreeDict status: stable). It contains 52994 headwords. It can be used
+ for the dict server in conjunction with a dict client. 
 
 Package: dict-freedict-bre-fra
 Architecture: all
@@ -60,7 +60,7 @@
 Provides: dictd-dictionary
 Description: Breton-French dictionary for the dict server/client 
  This is the Breton-French dictionary from the FreeDict project in version
- 0.2.10 (FreeDict status: Big enough to be useful). It contains 30162 headwords.
+ 0.6.0 (FreeDict status: Big enough to be useful). It contains 28615 headwords.
  It can be used for the dict server in conjunction with a dict client. 
 
 Package: dict-freedict-ces-eng
@@ -115,7 +115,7 @@
 Provides: dictd-dictionary
 Description: German-English dictionary for the dict server/client 
  This is the German-English dictionary from the FreeDict project in version
- 0.3.3 (FreeDict status: old upstream version). It contains 81614 headwords. It
+ 0.3.4 (FreeDict status: old upstream version). It contains 81619 headwords. It
  can be used for the dict server in conjunction with a dict client. 
 
 Package: dict-freedict-deu-fra
@@ -148,8 +148,8 @@
 Provides: dictd-dictionary
 Description: German-Kurdish dictionary for the dict server/client 
  This is the German-Kurdish dictionary from the FreeDict project in version
- 0.2.1 (FreeDict status: stable). It contains 22565 headwords. It can be used
- for the dict server in conjunction with a dict client. 
+ 0.2 (FreeDict status: stable). It contains 22565 headwords. It can be used for
+ the dict server in conjunction with a dict client. 
 
 Package: dict-freedict-deu-nld
 Architecture: all
@@ -192,8 +192,8 @@
 Provides: dictd-dictionary
 Description: English-Afrikaans dictionary for the dict server/client 
  This is the English-Afrikaans dictionary from the FreeDict project in version
- 0.1.1. It contains 6395 headwords. It can be used for the dict server in
- conjunction with a dict client. 
+ 0.1.1 (FreeDict status: small). It contains 6395 headwords. It can be used for
+ the dict server in conjunction with a dict client. 
 
 Package: dict-freedict-eng-ara
 Architecture: all
@@ -203,8 +203,8 @@
 Provides: dictd-dictionary
 Description: English-Arabic dictionary for the dict server/client 
  This is the English-Arabic dictionary from the FreeDict project in version
- 0.6.2 (FreeDict status: old upstream version). It contains 87422 headwords. It
- can be used for the dict server in conjunction with a dict client. 
+ 0.6.2 (FreeDict status: stable). It contains 87422 headwords. It can be used
+ for the dict server in conjunction with a dict client. 
 
 Package: dict-freedict-eng-ces
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 DICTS=$(shell find . -maxdepth 1 -name '???-???' -printf "%f ")
 
 # # Support parallel build
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
-endif
+#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+#	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+#	MAKEFLAGS += -j$(NUMJOBS)
+#endif
 
 build: build-prep all-dz
